%% Load files
close all
clear all


%% H1LT
A_load = [10 15 20];
W_load = [60 70 80];
DATA_H1LT_Added = cell(3,9);
ind = 3;
run = 0;
initial_wait = 50;
end_wait = 50;
for i = 1:3
    for j = 1:3
        run = run+1;
        for k = 1:3
        exp_res = (load(['C:\Users\garde\Dropbox\Prosjektoppgave - Snake Robot\Eksperiment\added_mass\DATA_tyholt\day3\run' num2str(run) '_A' num2str(A_load(i)) '_w' num2str(W_load(j)) '\Data_Vc_0' num2str(ind) '.txt']));
        if(k == 2)
            DATA_H1LT_Added{k,run} = exp_res(initial_wait:end-end_wait,:);
        else
            DATA_H1LT_Added{k,run} = mean(exp_res);
        end
        ind = ind+1;
        end
        
    %temp = struct2cell(load(['C:\Users\slangerobot\Desktop\Mamba GUI Joint\Mamba GUI Joint\DATA_tyholt\day3\run' num2str(i) 'A' num2str(A_load(i) '_w' num2str(W_load(j)) 'Data_Vc_0' num2str(ind) '.xt']]);
    %DATA{j,i} = temp
    end
end

for i = 1:9
    for k = 2:9
        DATA_H1LT_Added{1,i}(:,k) = degtorad(DATA_H1LT_Added{1,i}(:,k));
        DATA_H1LT_Added{2,i}(:,k) = degtorad(DATA_H1LT_Added{2,i}(:,k));
        DATA_H1LT_Added{3,i}(:,k) = degtorad(DATA_H1LT_Added{3,i}(:,k));
    end
end

save('DATA_H1LT_Added.mat','DATA_H1LT_Added')
%% H2LT
A_load = [10 15 20];
W_load = [60 70 80];
DATA_H2LT_Added = cell(3,9);
ind = 1;
run = 9;
run_start = run;
initial_wait = 50;
end_wait = 50;

for i = 1:3
    for j = 1:3
        run = run+1;
        for k = 1:3
        exp_res = (load(['C:\Users\garde\Dropbox\Prosjektoppgave - Snake Robot\Eksperiment\added_mass\DATA_tyholt\day4\run' num2str(run) '_A' num2str(A_load(i)) '_w' num2str(W_load(j)) '\Data_Vc_0' num2str(ind) '.txt']));
        if(k == 2)
            DATA_H2LT_Added{k,run-run_start} = exp_res(initial_wait:end-end_wait,:);
        else
            DATA_H2LT_Added{k,run-run_start} = mean(exp_res);
        end
        ind = ind+1;
        end
    end
end

for i = 1:9
    for k = 2:9
        DATA_H2LT_Added{1,i}(:,k) = degtorad(DATA_H2LT_Added{1,i}(:,k));
        DATA_H2LT_Added{2,i}(:,k) = degtorad(DATA_H2LT_Added{2,i}(:,k));
        DATA_H2LT_Added{3,i}(:,k) = degtorad(DATA_H2LT_Added{3,i}(:,k));
    end
end

save('DATA_H2LT_Added.mat','DATA_H2LT_Added')

% 1=tid, 2=alpha, 3=omega, 4=phi_ref, 5= phi_ref_dot, 6=phi_ref_dot_dot,
% 7=phi, 8=phi_dot, 9=phi_dot_dot, 10=Fx, 11=Fy, 12=Fz, 13=Tx, 14=Ty, 15=Tz
%%

%%
for i = 1:9
    DATA_H1LT_Added{1,i}(:,11) = -1*DATA_H1LT_Added{1,i}(:,11);
	DATA_H1LT_Added{2,i}(:,11) = -1*DATA_H1LT_Added{2,i}(:,11);
    DATA_H1LT_Added{3,i}(:,11) = -1*DATA_H1LT_Added{3,i}(:,11);
end
%%
figure(1)
grid on
hold on
for i = 1:9
    %DATA{2,i}(1:50,11) = [];
    plot(DATA_H1LT_Added{2,1}(:,4))
end
for i = 1:9
    %DATA{2,i}(1:50,11) = [];
    plot(DATA_H1LT_Added{2,1}(:,7),'--')
end
%NoisePre=load('C:\Users\slangerobot\Desktop\Mamba GUI Joint\Mamba GUI Joint\DATA_tyholt\day3\Data_Vc_03.txt');
%NoisePost=load('C:\Users\slangerobot\Desktop\Mamba GUI Joint\Mamba GUI Joint\DATA_tyholt\day3\Data_Vc_05.txt');

%%
shift_v = zeros(1,9);
for i = 1:9 %
    shift_v(i) = acos(dot(DATA_H1LT_Added{2,i}(:,7),DATA_H1LT_Added{2,i}(:,4)) ./ (norm(DATA_H1LT_Added{2,i}(:,7))*norm(DATA_H1LT_Added{2,i}(:,4))));
end

shift_h = zeros(1,9);
for j = 1:9
shift_h(j) = mean([(max(DATA_H1LT_Added{2,j}(:,7)) - max(DATA_H1LT_Added{2,j}(:,4)))/2 (abs(min(DATA_H1LT_Added{2,j}(:,7)) - min(DATA_H1LT_Added{2,j}(:,4))))/2]);
%amp(j) = degtorad(mean(temp))
ref2 = zeros(1,length(DATA_H1LT_Added{2,j}(:,1)));
for i = 1:length(DATA_H1LT_Added{2,j}(:,1))
    ref2(i) = PHI_Phase(DATA_H1LT_Added{2,j}(i,1),DATA_H1LT_Added{2,j}(1,2),DATA_H1LT_Added{2,j}(1,3),-shift_v(j),shift_h(j));
end

figure(j)
hold on
grid on
plot(ref2)
plot(DATA_H1LT_Added{2,j}(:,4))
plot(DATA_H1LT_Added{2,j}(:,7))
legend('est','ref','meas')
ref2=0;
title(num2str(j))
end

%% Sjekke A
phi_dot = diff(DATA_H1LT_Added{2,1}(:,7))/h;
phi_dot_dot = diff(phi_dot)/h;
%%
j = 1;
for i = 1:length(DATA_H1LT_Added{2,1}(:,7))
    p_d(i) = PHI_DOT(DATA_H1LT_Added{2,j}(i,1),DATA_H1LT_Added{2,j}(1,2),DATA_H1LT_Added{2,j}(1,3),-shift_v(j),shift_h(j));
    p_dd(i) = PHI_DOT_DOT(DATA_H1LT_Added{2,j}(i,1),DATA_H1LT_Added{2,j}(1,2),DATA_H1LT_Added{2,j}(1,3),-shift_v(j),shift_h(j));
end
%% Velocity
figure(11)
hold on
grid on
title('Velocity');
plot(DATA_H1LT_Added{2,j}(1:end-1,1),phi_dot)
plot(DATA_H1LT_Added{2,j}(:,1),p_d)


%% Accel
figure(21)
hold on
grid on
title('Acc');
plot(DATA_H1LT_Added{2,j}(1:end-2,1),phi_dot_dot)
plot(DATA_H1LT_Added{2,j}(:,1),p_dd)

%%
smoothY = sgolayfilt(DATA_H1LT_Added{2,1}(:,11),3,31);
figure(29)
hold on
grid on
plot(p_dd)
plot(DATA_H1LT_Added{2,1}(:,11))
plot(smoothY)

%%
plot(DATA_H1LT_Added{2,1}
%% Functions
PHI_Phase =@(t,alpha,omega,shift_h,shift_v) sin(omega*t + shift_h)*(alpha + shift_v);
PHI_DOT=@(t,alpha,omega,shift_h,shift_v) cos(omega*t+shift_h)*(alpha+shift_v)*omega;
PHI_DOT_DOT=@(t,alpha,omega,shift_h,shift_v) -sin(omega*t+shift_h)*(alpha+shift_v)*omega^2;

%% Constants
h = 0.1;
f = 0;
ROD = 0.476;
%%
t=Measurement(:,1);
ALPHA= (Measurement(1,2));
OMEGA= (Measurement(1,3));

phi_ref= deg2rad(Measurement(:,4));
phi_ref_dot= Measurement(:,5);
phi_ref_dot_dot= Measurement(:,6);

phi=(Measurement(:,7);
phi_dot=Measurement(:,8);
phi_dot_dot=Measurement(:,9);

Fx= Measurement(:,10);
Fy= Measurement(:,11);
Fz= Measurement(:,12);
Tx= Measurement(:,13);
Ty= Measurement(:,14);
Tz= Measurement(:,15);

phi_dot_ny=diff(phi)/h;
phi_dot_dot_ny=diff(phi_dot_ny)/h;
%%
f = f+1;
figure(f)
hold on
delta = -0.4j;
plot(PHI(t+delta,ALPHA,OMEGA))
plot(phi)
legend('ref','meas')

