clear all
close all

%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
%%
load('Result_drag_0deg.mat')
load('..\..\..\H1LT\H1LT_0deg.mat')
load('..\..\..\H1LT\H2LT_0deg.mat')
load('..\..\..\..\\Simulations_master\v3\H1LT_sim_v3.mat')
load('..\..\..\..\\Simulations_master\v3\H2LT_sim_v3.mat')

%%

%% H1LT compare exp1/exp2/sim
f = f+1;
figure(f)
hold on
grid on
plot(Result_drag_0deg{1,1}(:,8),Result_drag_0deg{1,1}(:,1),'linewidth',2)
plot(H1LT_0deg(:,2),H1LT_0deg(:,1),'x','linewidth',2)
plot(H1LT_sim_v3(1:50,2),H1LT_sim_v3(1:50,4),'linewidth',2)
legend('Circulation tank','Passive towing-rig','Simulation','location','best')
xlabel('Velocity [m/s]')
ylabel('Force X [N]')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H1LT_0deg_comp_exp_sim.eps']);
close
%% H2LT compare exp1/exp2/sim
f = f+1;
figure(f)
hold on
grid on
plot(Result_drag_0deg{1,2}(:,8),Result_drag_0deg{1,2}(:,1),'linewidth',2)
plot(H2LT_0deg(:,2),H2LT_0deg(:,1),'x','linewidth',2)
plot(H2LT_sim_v3(1:50,2),H2LT_sim_v3(1:50,4),'linewidth',2)
xlabel('Velocity [m/s]')
ylabel('Force X [N]')
legend('Circulation tank','Passive towing-rig','Simulation','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H2LT_0deg_comp_exp_sim.eps']);
close