clear all
close all

%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
%%
load('Result_drag_angle.mat')
load('..\..\..\..\\Simulations_master\v3\H1LT_sim_v3.mat')
load('..\..\..\..\\Simulations_master\v3\H2LT_sim_v3.mat')

%% Ploty angle/force compare sim/exp - Fx
for i = 1:4
f = f+1;
figure(f)
hold on
grid on
plot(Result_drag_angle{1,i}(:,1),Result_drag_angle{1,i}(:,2),'r')
plot(Result_drag_angle{1,i+4}(:,1),Result_drag_angle{1,i+4}(:,2),'b')
plot(H1LT_sim_v3(51+31*(i-1):81+31*(i-1),1),H1LT_sim_v3(51+31*(i-1):81+31*(i-1),4),'r--')
plot(H2LT_sim_v3(51+31*(i-1):81+31*(i-1),1),H2LT_sim_v3(51+31*(i-1):81+31*(i-1),4),'b--')
%title(['Angled experiment - $v = 0.' num2str(i) 'm/s$'])
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
legend('H1LT - Experiment','H2LT - Experiment','H1LT - Simulation','H2LT - Simulation','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H1LT_angle_comp_exp_sim_fx_v0' num2str(i) '.eps']);
close
end

%% Ploty angle/force compare sim/exp - Fy
for i = 1:4
f = f+1;
figure(f)
hold on
grid on
plot(Result_drag_angle{1,i}(:,1),Result_drag_angle{1,i}(:,3),'r')
plot(Result_drag_angle{1,i+4}(:,1),Result_drag_angle{1,i+4}(:,3),'b')
plot(H1LT_sim_v3(51+31*(i-1):81+31*(i-1),1),H1LT_sim_v3(51+31*(i-1):81+31*(i-1),5),'r--')
plot(H2LT_sim_v3(51+31*(i-1):81+31*(i-1),1),H2LT_sim_v3(51+31*(i-1):81+31*(i-1),5),'b--')
%title(['Angled experiment - $v = 0.' num2str(i) 'm/s$'])
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
legend('H1LT - Experiment','H2LT - Experiment','H1LT - Simulation','H2LT - Simulation','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H1LT_angle_comp_exp_sim_fy_v0' num2str(i) '.eps']);
close
end
