%% Load files
close all
clear all


%%
deg20_pre = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\pre\20.txt'));
deg15_pre = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\pre\15.txt'));
deg10_pre = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\pre\\10.txt'));
deg5_pre = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\pre\\5.txt'));

deg20_post = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\\post\20.txt'));
deg15_post = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\\post\15.txt'));
deg10_post = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\\post\10.txt'));
deg5_post = (load('..\..\..\Eksperiment\added_mass\bouy\H2LT\\post\5.txt'));
%%
fy_deg20_pre = mean(deg20_pre(:,11));
fy_deg15_pre = mean(deg15_pre(:,11));
fy_deg10_pre = mean(deg10_pre(:,11));
fy_deg5_pre = mean(deg5_pre(:,11));

%%
fy_deg20_post = mean(deg20_post(:,11));
fy_deg15_post = mean(deg15_post(:,11));
fy_deg10_post = mean(deg10_post(:,11));
fy_deg5_post = mean(deg5_post(:,11));

%%
deg_deg20_pre = mean(deg20_pre(:,7));
deg_deg15_pre = mean(deg15_pre(:,7));
deg_deg10_pre = mean(deg10_pre(:,7));
deg_deg5_pre = mean(deg5_pre(:,7));

%%
deg_deg20_post = mean(deg20_post(:,7));
deg_deg15_post = mean(deg15_post(:,7));
deg_deg10_post = mean(deg10_post(:,7));
deg_deg5_post = mean(deg5_post(:,7));

B(1,1) = fy_deg20_pre/sind(deg_deg20_pre);
B(1,2) = fy_deg15_pre/sind(deg_deg15_pre);
B(1,3) = fy_deg10_pre/sind(deg_deg10_pre);
B(1,4) = fy_deg5_pre/sind(deg_deg5_pre);

B(2,1) = fy_deg20_post/sind(deg_deg20_post);
B(2,2) = fy_deg15_post/sind(deg_deg15_post);
B(2,3) = fy_deg10_post/sind(deg_deg10_post);
B(2,4) = fy_deg5_post/sind(deg_deg5_post);

BUOY_H2LT = B;

save('BUOY_H2LT.mat','BUOY_H2LT')

