%%
close all
clear all

%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

%%
load('H2LT_0deg_run1.mat')
load('H2LT_0deg_run1_noise2.mat')
load('Vx_run1.mat')
load('H2LT_0deg_run2.mat')
load('H2LT_0deg_run2_noise2.mat')
load('Vx_run2.mat')
load('..\..\..\H1LT\H2LT_0deg.mat')

TITLE = ['Fx';'Fy';'Fz';'Tx';'Ty';'Tz'];

%% 
f = f+1;
figure(f)
hold on
grid on
plot(Vx_run1,H2LT_0deg_run1(:,1))
plot(Vx_run1,H2LT_0deg_run1_noise2(:,1))
plot(Vx_run2,H2LT_0deg_run2(:,1))
plot(Vx_run2,H2LT_0deg_run2_noise2(:,1))
plot(H2LT_0deg(:,2),H2LT_0deg(:,1),'x')
%%
for i = 1:6
    f = f+1;
    figure(f)
    hold on
    grid on
    plot(Vx_run1,H2LT_0deg_run1(:,i))
    plot(Vx_run1,H2LT_0deg_run1_noise2(:,i))
    plot(Vx_run2,H2LT_0deg_run2(:,i))
    plot(Vx_run2,H2LT_0deg_run2_noise2(:,i))
    legend('Run1','Run1-n2','Run2','Run2-n2')
    title(TITLE(i,:))
end