%%
close all
clear all

%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

%%
load('H2LT_v03_run1.mat')
load('H2LT_v03_run2.mat')
load('H2LT_v03_run1_noise2.mat')
load('H2LT_v03_run2_noise2.mat')

TITLE = ['Fx';'Fy';'Fz';'Tx';'Ty';'Tz'];

for i = 1:6
    f = f+1;
    figure(f)
    hold on
    grid on
    plot(H2LT_v03_run1(:,1),H2LT_v03_run1(:,i+1))
    plot(H2LT_v03_run2(:,1),H2LT_v03_run2(:,i+1))
    plot(H2LT_v03_run1_noise2(:,1),H2LT_v03_run1_noise2(:,i+1))
    plot(H2LT_v03_run2_noise2(:,1),H2LT_v03_run2_noise2(:,i+1))
    legend('Run1','Run2','Run1-n2','Run2-n2')
    title(TITLE(i,:))
end