clear all
close all


%%
temp = cell(1,1);
avg_angle = cell(1,4);
avg_0deg = cell(1,6);
Result_drag_angle = cell(1,8);
Result_drag_0deg = cell(1,2);

%% get results from angle experiments
ind = 1;
for i = 1:2
    for j = 1:4
        avg_angle{1,1} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run1.mat']));
        avg_angle{1,2} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run1_noise2.mat']));
        avg_angle{1,3} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run2.mat']));
        avg_angle{1,4} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run2_noise2.mat']));
        for k = 1:7
            mean2 = [avg_angle{1,1}(:,k) avg_angle{1,2}(:,k) avg_angle{1,3}(:,k) avg_angle{1,4}(:,k)];
            Result_drag_angle{1,ind}(:,k) = mean(mean2');
        end
        ind = ind+1;
    end
end
%%
ind = 1;
for i = 1:2
   
        avg_0deg{1,1} = struct2array(load(['..\H' num2str(i) 'LT_0deg\H' num2str(i) 'LT_0deg_run1.mat']));
        avg_0deg{1,2} = struct2array(load(['..\H' num2str(i) 'LT_0deg\H' num2str(i) 'LT_0deg_run1_noise2.mat']));
        avg_0deg{1,3} = struct2array(load(['..\H' num2str(i) 'LT_0deg\H' num2str(i) 'LT_0deg_run2.mat']));
        avg_0deg{1,4} = struct2array(load(['..\H' num2str(i) 'LT_0deg\H' num2str(i) 'LT_0deg_run2_noise2.mat']));
        avg_0deg{1,5} = struct2array(load(['..\H' num2str(i) 'LT_0deg\Vx_run1.mat']));
        avg_0deg{1,6} = struct2array(load(['..\H' num2str(i) 'LT_0deg\Vx_run2.mat']));
        for k = 1:6
            mean2 = [avg_0deg{1,1}(:,k) avg_0deg{1,2}(:,k) avg_0deg{1,3}(:,k) avg_0deg{1,4}(:,k)];
            Result_drag_0deg{1,i}(:,k) = mean(mean2');
        end
        Result_drag_0deg{1,i}(:,8) = mean([avg_0deg{1,5}(1,:) ;avg_0deg{1,6}(1,:)]);
end
%%
save('Result_drag_0deg.mat','Result_drag_0deg')
save('Result_drag_angle.mat','Result_drag_angle')