close all
clear all

%%
dag = 'Dag2_19042017';
exp_name = 'H1LT_0deg_reversed';
folder = '..\..\..\Eksperiment\v2\';
%% noise
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise.csv']);
Noise = mean(num(1:6,:));
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise_after.csv']);
Noise2 = mean(num(1:6,:));

%% Load data
Data = cell(1,10);
for i = 1:10
    [num,text,raw] = xlsread([folder dag '\' exp_name '\' num2str(i*5) '.csv']);
    Data{1,i} = num;
end


%%
Fx = zeros(10,1);
Fy = zeros(10,1);
Fz = zeros(10,1);
Tx = zeros(10,1);
Ty = zeros(10,1);
Tz = zeros(10,1);
Fx2 = zeros(10,1);
Fy2 = zeros(10,1);
Fz2 = zeros(10,1);
Tx2 = zeros(10,1);
Ty2 = zeros(10,1);
Tz2 = zeros(10,1);
%%
for i = 1:10
    Fx(i) = mean(Data{1,i}(:,1)-Noise(1));
    Fy(i) = mean(Data{1,i}(:,2)-Noise(2))*-1;
    Fz(i) = mean(Data{1,i}(:,3)-Noise(3));
    Tx(i) = mean(Data{1,i}(:,4)-Noise(4));
    Ty(i) = mean(Data{1,i}(:,5)-Noise(5));
    Tz(i) = mean(Data{1,i}(:,6)-Noise(6));
    
    Fx2(i) = mean(Data{1,i}(:,1)-Noise2(1));
    Fy2(i) = mean(Data{1,i}(:,2)-Noise2(2))*-1;
    Fz2(i) = mean(Data{1,i}(:,3)-Noise2(3));
    Tx2(i) = mean(Data{1,i}(:,4)-Noise2(4));
    Ty2(i) = mean(Data{1,i}(:,5)-Noise2(5));
    Tz2(i) = mean(Data{1,i}(:,6)-Noise2(6));
end

%%


%%
H1LT_0deg_run2 = [Fx Fy Fz Tx Ty Tz];
H1LT_0deg_run2_noise2 = [Fx2 Fy2 Fz2 Tx2 Ty2 Tz2];
save('Results\H1LT_0deg\H1LT_0deg_run2.mat','H1LT_0deg_run2')
save('Results\H1LT_0deg\H1LT_0deg_run2_noise2.mat','H1LT_0deg_run2_noise2')