close all
clear all
%%
filename1 = 'H2LT_noise_a1';
filename2 = 'H2LT_noise_a2_unbiased';
filename3 = 'H2LT_test_a4';
Data = struct2cell(load(['Results\' filename1 '.mat']));
Data2 = struct2cell(load(['Results\' filename2 '.mat']));
Data3 = struct2cell(load(['Results\' filename3 '.mat']));

%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

TITLE = ['Fx';'Fy';'Fz';'Tx';'Ty';'Tz'];
%%
for i = 1:6
    f = f+1;
    figure(f)
    grid on
    hold on
    plot(Data{1,1}(:,7),Data{1,1}(:,i))
    plot(Data2{1,1}(:,7),Data2{1,1}(:,i)-Data2{1,1}(1,i))
    title(TITLE(i,:));
    legend('Biased','Unbiased')
end

%%
for i = 1:6
    f = f+1;
    figure(f)
    grid on
    hold on
    plot(Data3{1,1}(:,7),Data3{1,1}(:,i))
    title(TITLE(i,:));
end