%% Loads data from simulaion results
close all
clear all

%% load file
%Change this to the one you want to extract
filename = 'H9LT_sim_v3';
%Directory of SimRes
direct = '..\..\..\SimRes2017\Megasim2017\v3';
%Loads excel file
[num,txt,raw] = xlsread([direct '\' filename '.xlsx']);
%% Finds the indexes of the data for correct extraction
for i = 1: length(txt(:,1))
    if not(cellfun('isempty',strfind(txt(i,1),'Velocity in Y')))
        VYind = i-1;
    elseif not(cellfun('isempty',strfind(txt(i,1),'Velocity in X')))
            VXind = i-1;
    elseif not(cellfun('isempty',strfind(txt(i,1),'GG Force (X) 1 [N]')))
            FXind = i-1;
    elseif not(cellfun('isempty',strfind(txt(i,1),'GG Force (Y) 1 [N]')))
            FYind = i-1;
    elseif not(cellfun('isempty',strfind(txt(i,1),'GG Torque (Z) 1 [N*m]')))
            TZind = i-1;
    end    
end

%% Creates a .mat file with the same name as the load file with data : [Vx Vy Fx Fy Tz]
Placeholder = zeros(5,length(num));
Placeholder(1,:) = num(VXind,:)*-1; %Convert to body velocity
Placeholder(2,:) = num(VYind,:)*-1; %Convert to body velocity
Placeholder(3,:) = num(FXind,:);
Placeholder(4,:) = num(FYind,:);
Placeholder(5,:) = num(TZind,:);
%eval([filename '= Placeholder;'])
%save([filename '.mat'],filename);
%% Adds the angle on the correct placements
Placeholder2 = zeros(length(num),6);
Placeholder2(:,2:6) = Placeholder';
for i = 1:4
    Placeholder2((51+31*(i-1)):(51+31*(i-1)+30),1) = 0:3:90;
end

%%
f = 0;
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
%% plot Fx
f = f+1;
figure(f)
plot(Placeholder2(:,1))
%% Plot Fy


eval([filename '= Placeholder2;'])
save([filename '.mat'],filename);

